### Enumeration

# Gimp ComponentType

since: 2.10

#### Declaration

    enum Gimp.ComponentType

#### Description [src]

Encoding types of image components.

Available since: 2.10

#### Members

Name | Description
--- | ---
`GIMP_COMPONENT_TYPE_U8` | 8-bit integer.
`GIMP_COMPONENT_TYPE_U16` | 16-bit integer.
`GIMP_COMPONENT_TYPE_U32` | 32-bit integer.
`GIMP_COMPONENT_TYPE_HALF` | 16-bit floating point.
`GIMP_COMPONENT_TYPE_FLOAT` | 32-bit floating point.
`GIMP_COMPONENT_TYPE_DOUBLE` | 64-bit floating point.